from django import forms
from django.forms import widgets

from web.models import Article


class ArticleForm(forms.Form):
    title = forms.CharField(max_length=200, required=True, label='Title')
    author = forms.CharField(max_length=40, required=True, label='Author')
    status = forms.CharField(required=True, label='Status')
    text = forms.CharField(max_length=3000, required=True, label='Text', widget=widgets.Textarea)


class ArticleModelForm(forms.ModelForm):
    class Meta:
        model = Article
        fields = ('title', 'author', 'status', 'text', 'tags')
        widgets = {
            'title': forms.TextInput(attrs={'class': 'form-control mb-3'}),
            'author': forms.TextInput(attrs={'class': 'form-control mb-3'}),
            'status': forms.Select(attrs={'class': 'form-select mb-3'}),
            'text': forms.Textarea(attrs={'class': 'form-control mb-3'}),
            'tags': forms.CheckboxSelectMultiple(attrs={'class': 'mb-3'})
        }
